// Auth.stories.jsx
import { Auth } from "../Auth/Auth.jsx";
import {Login} from '../../Components/Form/Login/Login.jsx'
import { SignUp } from "../../Components/Form/SignUp/SignUp.jsx";
export default {
  title: "Auth/Auth",
  component: Auth,
};

const DummyLogin = ({ onLogin }) => (
  <div>
    <Login/>
  </div>
);

const DummySignUp = ({ onSubmit }) => (
  <div>
  <SignUp/>
  </div>
);

export const Default = () => (
  <Auth
    LoginComponent={DummyLogin}
    SignUpComponent={DummySignUp}
    onLoginSubmit={(data) => console.log("Login Submit:", data)}
    onSignUpSubmit={() => console.log("SignUp Submit")}
  />
);
